# CnosDB Road Map

## CnosDB2.0的设计目标

设计并开发一个高性能、高压缩比、高可用的分布式云原生时间序列数据库，满足以下目标：

> 时序数据库

1. 扩展性，理论上支持的时间序列无上限，彻底解决时间序列膨胀问题，支持横/纵向扩展。
2. 计算存储分离，计算节点和存储节点，可以独立扩缩容，秒级伸缩。
3. 高性能存储和低成本，利用高性能io栈，支持利用云盘和对象存储进行分级存储。
4. 查询引擎支持矢量化查询。
5. 支持多种时序协议写入和查询，提供外部组件导入数据。

> 云原生

1. 支持云原生，支持充分利用云基础设施带来的便捷，融入云原生生态。
2. 高可用性，秒级故障恢复，支持多云，跨区容灾备灾。
3. 原生支持多租户，按量付费。
4. CDC,日志可以提供订阅和分发到其他节点。
5. 为用户提供更多可配置项，来满足公有云用户的多场景复杂需求。
6. 云边端协同，提供边端与公有云融合的能力
7. 融合云上OLAP/CloudAI 数据生态系统。

## CnosDB 架构

![整体架构](../source/_static/img/arch.jpg)

## CnosDB 时间表

| 产品特性       | 时间节点  |
|------------| ----  |
| 2.0单机版beta | 2022.10 |
| 2.0分布式beta | 2022.12 |
| 公有云公测      | 2023.Q1 |
| 企业版        | 2023.Q2 |


